Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/SpecialPercept.h File Reference

Declaration of class SpecialPercept. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Math/Pose2D.h"`
`#include "Tools/Math/Vector2.h"`
`#include "Tools/Math/Geometry.h"`
`#include "Tools/ColorClasses.h"`

Include dependency graph for SpecialPercept.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SpecialLandmark
class | BitePoint
| A class that contains a certain bitePoint at the open challenge bridge. More...
class | OCBridge
| A class that contains data of the bridge for the openchallenge. More...
class | OCRedLine
| A class that contains data of the bridge's red line for the open challenge. More...
class | SpecialPercept
| A class that contains a certain specialPercept. More...
## Defines
#define | MAXSEENFLAGS 100
| angle of pink Flags seen relative to robot *
#define | MAXLEARNFLAGS 100
## Functions
In & | operator>> (In &stream, BitePoint &bitePoint)
| Streaming operator that reads a BitePoint from a stream.
Out & | operator<< (Out &stream, const BitePoint &bitePoint)
| Streaming operator that writes a BitePoint to a stream.
In & | operator>> (In &stream, OCBridge &ocBridge)
| Streaming operator that reads a OCBridge from a stream.
Out & | operator<< (Out &stream, const OCBridge &ocBridge)
| Streaming operator that writes a OCBridge to a stream.
In & | operator>> (In &stream, OCRedLine &ocRedLine)
| Streaming operator that reads a red line from a stream.
Out & | operator<< (Out &stream, const OCRedLine &ocRedLine)
| Streaming operator that writes a red line to a stream.
In & | operator>> (In &stream, SpecialPercept &specialPercept)
| Streaming operator that reads a SpecialPercept from a stream.
Out & | operator<< (Out &stream, const SpecialPercept &specialPercept)
| Streaming operator that writes a SpecialPercept to a stream.

## Detailed Description

Declaration of class SpecialPercept.

Author:
  Matthias Juengel, Ronnie Brunn

Definition in file SpecialPercept.h.

## Define Documentation

#define MAXSEENFLAGS 100

| angle of pink Flags seen relative to robot * Definition at line 249 of file SpecialPercept.h.

#define MAXLEARNFLAGS 100

| Definition at line 250 of file SpecialPercept.h. Referenced by ChallengeSpecialVision::executeFindOrientation(), and ChallengeSpecialVision::executeLearnOrientation().

## Function Documentation

In& operator>> | ( | In & | stream,
|  | BitePoint & | bitePoint
| ) |

  | Streaming operator that reads a BitePoint from a stream. Parameters:
  stream | The stream from which is read.
  bitePoint | The BitePoint object.
Returns: The stream. Definition at line 39 of file SpecialPercept.cpp. References BitePoint::angleTo, BitePoint::distanceTo, BitePoint::fresh, BitePoint::position, BitePoint::preciseShift, In::read(), BitePoint::relPos, and BitePoint::timeWhenLastSeen.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const BitePoint & | bitePoint
| ) |

  | Streaming operator that writes a BitePoint to a stream. Parameters:
  stream | The stream to write on.
  bitePoint | The BitePoint object.
Returns: The stream. Definition at line 52 of file SpecialPercept.cpp. References BitePoint::angleTo, BitePoint::distanceTo, BitePoint::fresh, BitePoint::position, BitePoint::preciseShift, BitePoint::relPos, BitePoint::timeWhenLastSeen, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | OCBridge & | ocBridge
| ) |

  | Streaming operator that reads a OCBridge from a stream. Parameters:
  stream | The stream from which is read.
  ocBridge | The OCBridge object.
Returns: The stream. Definition at line 134 of file SpecialPercept.cpp. References OCBridge::angleTo, OCBridge::bitePoint, OCBridge::distanceTo, OCBridge::fresh, OCBridge::lastSeenSide, In::read(), OCBridge::relPos, and OCBridge::timeWhenLastSeen.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const OCBridge & | ocBridge
| ) |

  | Streaming operator that writes a OCBridge to a stream. Parameters:
  stream | The stream to write on.
  ocBridge | The OCBridge object.
Returns: The stream. Definition at line 149 of file SpecialPercept.cpp. References OCBridge::angleTo, OCBridge::bitePoint, OCBridge::distanceTo, OCBridge::fresh, OCBridge::lastSeenSide, OCBridge::relPos, OCBridge::timeWhenLastSeen, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | OCRedLine & | ocRedLine
| ) |

  | Streaming operator that reads a red line from a stream. Parameters:
  stream | The stream from which is read.
  ocRedLine | the ocRedLine object.
Returns: The stream. Definition at line 87 of file SpecialPercept.cpp. References OCRedLine::angleInImage, OCRedLine::lineEnd, OCRedLine::lineStart, In::read(), and OCRedLine::timeWhenLastSeen.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const OCRedLine & | ocRedLine
| ) |

  | Streaming operator that writes a red line to a stream. Parameters:
  stream | The stream to write on.
  ocRedLine | The ocRedLine object.
Returns: The stream. Definition at line 97 of file SpecialPercept.cpp. References OCRedLine::angleInImage, OCRedLine::lineEnd, OCRedLine::lineStart, OCRedLine::timeWhenLastSeen, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | SpecialPercept & | specialPercept
| ) |

  | Streaming operator that reads a SpecialPercept from a stream. Parameters:
  stream | The stream from which is read.
  specialPercept | The SpecialPercept object.
Returns: The stream. Definition at line 195 of file SpecialPercept.cpp. References SpecialPercept::barCodeId, SpecialPercept::checkerPose, SpecialPercept::estimatedImageBrightness, SpecialPercept::frameNumber, SpecialPercept::leastMovement, SpecialPercept::mostMovement, SpecialPercept::ocBridge, SpecialPercept::ocRedLine, SpecialPercept::orientation, In::read(), SpecialPercept::reset(), Pose2D::rotation, SpecialPercept::shutterSelected, Pose2D::translation, SpecialPercept::type, Vector2< double >::x, Vector2< long >::x, Vector2< double >::y, and Vector2< long >::y.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const SpecialPercept & | specialPercept
| ) |

  | Streaming operator that writes a SpecialPercept to a stream. Parameters:
  stream | The stream to write on.
  specialPercept | The SpecialPercept object.
Returns: The stream. Definition at line 226 of file SpecialPercept.cpp. References SpecialPercept::barCodeId, SpecialPercept::checkerPose, SpecialPercept::frameNumber, SpecialPercept::leastMovement, SpecialPercept::mostMovement, SpecialPercept::ocBridge, SpecialPercept::ocRedLine, SpecialPercept::orientation, Pose2D::rotation, SpecialPercept::shutterSelected, Pose2D::translation, SpecialPercept::type, Out::write(), Vector2< double >::x, Vector2< long >::x, Vector2< double >::y, and Vector2< long >::y.

Here is the call graph for this function: